---
displayed_sidebar: entitiesSidebar
---

# Class: Oauth

## Constructors

### constructor

• **new Oauth**()

## Properties

### application\_name

• **application\_name**: `string`

#### Defined in

[models/oauth.ts:16](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L16)

___

### data

• **data**: `Record`<`string`, `unknown`\>

#### Defined in

[models/oauth.ts:25](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L25)

___

### display\_name

• **display\_name**: `string`

#### Defined in

[models/oauth.ts:12](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L12)

___

### id

• **id**: `string`

#### Defined in

[models/oauth.ts:9](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L9)

___

### install\_url

• **install\_url**: `string`

#### Defined in

[models/oauth.ts:19](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L19)

___

### uninstall\_url

• **uninstall\_url**: `string`

#### Defined in

[models/oauth.ts:22](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L22)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/oauth.ts:27](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/oauth.ts#L27)
